Bug 855405 - Jack-audio - digital-noise struggle on recent kernels (3.4.x and up)
Jack-audio - digital-noise struggle on recent kernels (3.4.x and up)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: jack-audio-connection-kit (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-07 12:04 EDT by LaKing
Modified: 2013-08-01 02:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 02:08:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description LaKing 2012-09-07 12:04:57 EDT
Description of problem:

Jack applications struggle with audio on low-level, producing digital noise made up of little samples of the audio that is supposed to be played back.

This malfunction appears on Fedora 17, starting with kernel 3.4.x. audible on  Echo's Gina24 PCI soundcard. jackdmp 1.9.8

Kernel 3.3.4 is working as expected, playing back sound clearly and error free.
Kernel 3.5.3 is not working with jack, oversampled output, slowing down the transport on the timeline of Ardour. Sound struggles. 

How reproducible: 100%

Steps to Reproduce:
1. Make a clean installation of Fedora 17, install ardour, verify functionality on kernel 3.3.4.
2. Update the system. Test again with kernel 3.3.4.
3. Start with kernel 3.5.3, start ardour with the Gina24 soundcard.
  
Actual results: The Gina24 soundcard playback is unusable in Jack applications.

Expected results: The Gina should playback as smooth as always.

Additional info: Pulsaudio, ALSA work well on all kernels. But no jack-based application works. No clear error messages.
Comment 1 Fedora End Of Life 2013-07-03 21:33:32 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 02:09:02 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.